Bug 337

Summary: Poor playback of iTunes encode aac files
Product: [Maemo Official Platform] Multimedia Reporter: Andy Mulhearn <unxmully>
Component: Multimedia frameworkAssignee: unassigned <nobody>
Status: RESOLVED FIXED QA Contact: multimedia-framework-bugs
Severity: enhancement    
Priority: High CC: andre_klapper
Version: 1.1Keywords: enhancement-it2005, ITOS2007HE-garage
Target Milestone: ---   
Hardware: All   
OS: All   
Bug Depends on: 336    
Bug Blocks:    

Description Andy Mulhearn (reporter) 2005-12-14 12:39:07 UTC
The Audio player has three problem with iTunes encoded aac files:

1) In some cases there is a nasty audio artifact at the start of the track. 
2) I have seen the player start playing 15 seconds into the track, prior to 
that playback is silent.
3) There is no track length reported for aac files and it is not possible to 
use the slider to move back and forward in the track.

These defects make the player unusable for AAC encoded files.
Comment 1 Lassi Syrjälä 2005-12-14 23:29:19 UTC
Hi,

iTunes-encoded files are AAC within an M4A container, which is different from plain AAC. That is, one 
cannot just rename an .m4a to .aac and expect it to play properly.

The real bug therefore is that such files aren't refused right away (or that m4a is not supported).
Comment 2 Andy Mulhearn (reporter) 2005-12-15 01:40:37 UTC
(In reply to comment #1)
> Hi,
> 
> iTunes-encoded files are AAC within an M4A container, which is different from plain AAC. That is, 
one 
> cannot just rename an .m4a to .aac and expect it to play properly.
> 
> The real bug therefore is that such files aren't refused right away (or that m4a is not supported).

I'm not sure I like the sound of that suggestion, i.e. that iTunes format AACs are not supported

I have a significant music library ripped in iTunes AAC format, as no doubt do many others. Are you 
suggesting that I will not be able to make use of these files on my 770 or listen to anything I have 
bought from the iTunes music store without either re-ripping or going through the burn to cd, re-rip 
process? 

As an end-user, I'm not sure that's an acceptable limitation.
Comment 3 Roope Rainisto 2005-12-15 16:15:01 UTC
http://docs.info.apple.com/article.html?artnum=93032

I suggest you send your complaints to Apple for using DRM protected and
purposefully uncompatible file formats in iTunes.
Comment 4 Simon Budig 2005-12-15 17:34:47 UTC
Lowering the severity, this is definitely not a blocker, at best an
inconvenience to some users.
Comment 5 Andy Mulhearn (reporter) 2005-12-15 18:05:55 UTC
(In reply to comment #3)
> http://docs.info.apple.com/article.html?artnum=93032
> I suggest you send your complaints to Apple for using DRM protected and
> purposefully uncompatible file formats in iTunes. 

DRM protected files is only one part of the problem and looking back at my 
message of yesterday I was clearly in the wrong - the playing of the 13 iTunes 
purchased tracks I have is something I will have to live without because I 
can't expect Nokia to provide the decoder. 

However, as far as I can tell from some googline, .m4a is simply the naming 
convention apple use to identify unprotected AAC audio files and I haven't been 
able to find a link which indicates that an Apple .m4a file is anything more 
than an aac encoded track. Fairplay protected tunes are called .m4p.

What confuses me further is that if Apple's .m4a is not supported, why do the 
tracks play at all?
Comment 6 Lassi Syrjälä 2005-12-15 19:36:36 UTC
(In reply to comment #5)
> However, as far as I can tell from some googline, .m4a is simply the naming 
> convention apple use to identify unprotected AAC audio files and I haven't been 
> able to find a link which indicates that an Apple .m4a file is anything more 
> than an aac encoded track. Fairplay protected tunes are called .m4p.

M4A/M4P/MP4 is MPEG-4 /container/ format, i.e. it wraps up the stream(s), metadata and such. The 
audio stream is usually (but not necessarily) encoded as AAC.

> What confuses me further is that if Apple's .m4a is not supported, why do the 
> tracks play at all?

As far as I understood, they don't, unless explicitly suffixed as .aac... anyway, this seems to be the 
actual bug here.
Comment 7 Andy Mulhearn (reporter) 2005-12-16 11:54:23 UTC
(In reply to comment #4)
> Lowering the severity, this is definitely not a blocker, at best an
> inconvenience to some users.

I'd suggest it's more than an inconvenience considering the two are different 
formats but are both known as AAC, with Nokia claiming support for MPEG4-AAC 
here http://www.europe.nokia.com/nokia/0,,75023,00.html and as Roope pointed 
out below, Apple also claiming support for MPEG-4 AAC here 
http://docs.info.apple.com/article.html?artnum=93032

Is it any wonder us poor end users get a bit lost?
Comment 8 Andy Mulhearn (reporter) 2005-12-16 12:01:27 UTC
(In reply to comment #6)
> (In reply to comment #5)
[smipped]
> > What confuses me further is that if Apple's .m4a is not supported, why do 
the 
> > tracks play at all?
> As far as I understood, they don't, unless explicitly suffixed as .aac... 
anyway, this seems to be the 
> actual bug here.

I got the impression from the pcmag website that renaming would work. I've 
since re-read that and a number of other Usenet posts which have pointed out 
the error of my ways.

However, I should repeat my earlier comment which was that apart from some odd 
sounds at the start of playback of each track, the main body of the track plays 
perfectly acceptably.

Finally, just to clarify, is the bug here:

1. That .m4a files renamed to .aac should be rejected because they're not 
supported or
2. That .m4a files should be playable?

If 1, would playing .m4a files be accepted as an enhancement request? Bearing 
in mind that the Audio Player actually gets close to playing them already.
Comment 9 Maemo QA (deprecated) 2006-05-03 15:31:36 UTC
Claiming ownership.
Comment 10 Maemo QA (deprecated) 2006-05-22 13:27:30 UTC
Feature request has been forwarded to upstream maintainer.
Comment 11 Andy Mulhearn (reporter) 2007-01-27 10:56:40 UTC
Resolved in the 2007 release.
Comment 13 Andre Klapper maemo.org 2008-05-06 18:07:07 UTC
(In reply to comment #11)
> Resolved in the 2007 release.

resolving as fixed, thanks for the comment!